PROGRAM_NAME='AMX_ProceedConstants'
(*{{PS_SOURCE_INFO(PROGRAM STATS)                          *)
(***********************************************************)
(*  FILE CREATED ON: 01/22/2002 AT: 18:06:03               *)
(***********************************************************)
(*  FILE_LAST_MODIFIED_ON: 01/25/2002 AT: 15:58:17         *)
(***********************************************************)
(*  ORPHAN_FILE_PLATFORM: 1                                *)
(***********************************************************)
(*!!FILE REVISION: Rev 0                                   *)
(*  REVISION DATE: 01/22/2002                              *)
(*                                                         *)
(*  COMMENTS:                                              *)
(*                                                         *) 
(* 1/28/04   Changed RAMPARRY from 300 to 800 per James    *)
(* Stiebing's recommendation                               *)
(***********************************************************)
(*}}PS_SOURCE_INFO                                         *)
(***********************************************************)

(***********************************************************)
(* System Type : Netlinx                                   *)
(***********************************************************)
(* REV HISTORY:                                            *)
(***********************************************************)

(***********************************************************)
(*               CONSTANT DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_CONSTANT

//#define USE_PHAST

volatile integer RAMPTIMELINE   = 1
volatile long    RAMPARRY[]     = {800}

//  channel assignments
volatile integer POWER_TOGGLE   = 9
volatile integer ENTER          = 21
volatile integer VOLUME_UP      = 24
volatile integer VOLUME_DN      = 25
volatile integer MUTE_TOGGLE    = 26
volatile integer POWER_ON       = 27
volatile integer POWER_OFF      = 28
volatile integer MENU           = 44
volatile integer MENUUP         = 45
volatile integer MENUDN         = 46
volatile integer EXIT           = 50
//  audio channels
volatile integer AUDIO1         = 60
volatile integer AUDIO2         = 61 
volatile integer AUDIO3         = 62
volatile integer AUDIO4         = 63
volatile integer AUDIO5         = 64
volatile integer AUDIO6         = 65
volatile integer AUDIO7         = 66
volatile integer AUDIO8         = 67
volatile integer AUDIO9         = 68
//  video channels
volatile integer VIDEO1         = 81
volatile integer VIDEO2         = 82 
volatile integer VIDEO3         = 83
volatile integer VIDEO4         = 84
volatile integer VIDEO5         = 85
volatile integer VIDEO6         = 86
volatile integer VIDEO7         = 87
volatile integer VIDEO8         = 88
volatile integer VIDEO9         = 89
// a/v channels
volatile integer INPUT1         = 81
volatile integer INPUT2         = 82 
volatile integer INPUT3         = 83
volatile integer INPUT4         = 84
volatile integer INPUT5         = 85
volatile integer INPUT6         = 86
volatile integer INPUT7         = 87
volatile integer INPUT8         = 88
volatile integer INPUT9         = 89
// surrounf channels
volatile integer SURROUND       = 101
volatile integer SURROUND_1     = 102
volatile integer SURROUND_2     = 103
volatile integer SURROUND_3     = 104
volatile integer SURROUND_4     = 105
volatile integer SURROUND_5     = 106
volatile integer SURROUND_6     = 107
volatile integer DELAY          = 109
volatile integer DELAYUP        = 110
volatile integer DELAYDN        = 111
//  misc channels
volatile integer REARUP         = 141
volatile integer REARDN         = 142
volatile integer CENTERUP       = 143
volatile integer CENTERDN       = 144
volatile integer SUBUP          = 145
volatile integer SUBDN          = 146
volatile integer BALANCELT      = 147
volatile integer BALANCERT      = 148
volatile integer BALANCE        = 152
volatile integer CENTER         = 153
volatile integer REAR           = 154
volatile integer SUB            = 155
volatile integer SPECIAL        = 171
volatile integer VIDEO_PLUS     = 172
volatile integer VIDEO_MINUS    = 173
volatile integer AUDIO_PLUS     = 174
volatile integer AUDIO_MINUS    = 175
volatile integer STATUS         = 255

//  channel array
volatile integer CHAN_ARRY[] = 
{
POWER_TOGGLE,
ENTER,
VOLUME_UP,
VOLUME_DN,
MUTE_TOGGLE,
POWER_ON,
POWER_OFF,
MENU,
MENUUP,
MENUDN,
EXIT,
INPUT1,
INPUT2,
INPUT3,
INPUT4,
INPUT5,
INPUT6,
INPUT7,
INPUT8,
INPUT9,
SURROUND,
SURROUND_1,
SURROUND_2,
SURROUND_3,
SURROUND_4,
SURROUND_5,
SURROUND_6,
DELAY,
DELAYUP,
DELAYDN,
REARUP,
REARDN,
CENTERUP,
CENTERDN,
SUBUP,
SUBDN,
BALANCELT,
BALANCERT,
BALANCE,
CENTER,
REAR,
SUB,
SPECIAL,
VIDEO_PLUS,
VIDEO_MINUS,
AUDIO_PLUS,
AUDIO_MINUS,
STATUS
}
volatile integer SURROUND_ARR[] =
{
SURROUND_1,
SURROUND_2,
SURROUND_3,
SURROUND_4,
SURROUND_5,
SURROUND_6
}
volatile integer AUDIO_ARR[] = 
{
AUDIO1,
AUDIO2,
AUDIO3,
AUDIO4,
AUDIO5,
AUDIO6,
AUDIO7,
AUDIO8,
AUDIO9
}
volatile integer VIDEO_ARR[] = 
{
VIDEO1,
VIDEO2,
VIDEO3,
VIDEO4,
VIDEO5,
VIDEO6,
VIDEO7,
VIDEO8,
VIDEO9
}
volatile integer RAMPED[] =
{
VOLUME_UP,
VOLUME_DN,
BALANCELT,
BALANCERT,
MENUUP,
MENUDN,
DELAYUP,
DELAYDN,
REARUP,
REARDN,
CENTERUP,
CENTERDN,
SUBUP,
SUBDN,
VIDEO_PLUS,
VIDEO_MINUS,
AUDIO_PLUS,
AUDIO_MINUS,
SURROUND
}

#if_defined USE_PHAST
//
volatile char POW_TGL           =   $18
volatile char POW_ON            =   $29
volatile char POW_STBY          =   $2A
//  VOLUME 
volatile char MUTE_TGL          =   $1A
volatile char MUTE_ON           =   $2B
volatile char MUTE_OFF          =   $2C
volatile char VOL_UP            =   $D2
volatile char VOL_DN            =   $C3
//  A/V MODES 
volatile char AV_1              =   $0C
volatile char AV_2              =   $04
volatile char AV_3              =   $14
volatile char AV_4              =   $0D
volatile char AV_5              =   $01
volatile char AV_6              =   $02
volatile char AV_7              =   $05
volatile char AV_8              =   $15
volatile char AV_9              =   $0E
//  SURROUND MODES
volatile char SURND_1           =   $20
volatile char SURND_2           =   $21     
volatile char SURND_3           =   $22
volatile char SURND_4           =   $23
volatile char SURND_5           =   $24
volatile char SURND_6           =   $25
volatile char DEL               =   $12
volatile char MSG_PREFIX[]      =   { $52, $41, $57, $2D, $1E, $42, $00 }
volatile char MSG_SUFFIX[]      =   { $0 }
volatile char STATUS            =   ''

#else   // RS-232

volatile char POW_TGL[]         =   { $2, $2, $18, $6A, $01 }
volatile char POW_ON[]          =   { $2, $2, $29, $BE, $C0 }
volatile char POW_STBY[]        =   { $2, $2, $2A, $BF, $80 }

volatile char ENT[]             =   { $2, $2, $78, $42, $01 }
volatile char MEN[]             =   { $2, $2, $3C, $71, $01 }
volatile char EXT[]             =   { $2, $2, $3C, $71, $01 }
volatile char SURR[]            =   { $2, $2, $16, $AE, $80 }   
volatile char SPEC[]            =   { $2, $2, $69, $4E, $C1 }   
//  VOLUME 
volatile char MUTE_TGL[]        =   { $2, $2, $1A, $AB, $80 }
volatile char MUTE_ON[]         =   { $2, $2, $2B, $7F, $41 }
volatile char MUTE_OFF[]        =   { $2, $2, $2C, $BD, $00 }
volatile char VOL_UP[]          =   { $2, $2, $D2, $3D, $81 }
volatile char VOL_DN[]          =   { $2, $2, $C3, $31, $41 }

volatile char AV_1[]            =   { $2, $2, $0C, $65, $01 }
volatile char AV_2[]            =   { $2, $2, $04, $A3, $00 }
volatile char AV_3[]            =   { $2, $2, $14, $6F, $01 }
volatile char AV_4[]            =   { $2, $2, $0D, $A5, $C0 }
volatile char AV_5[]            =   { $2, $2, $01, $A0, $C0 }
volatile char AV_6[]            =   { $2, $2, $02, $A1, $80 }
volatile char AV_7[]            =   { $2, $2, $05, $63, $C1 }
volatile char AV_8[]            =   { $2, $2, $15, $AF, $C0 }
volatile char AV_9[]            =   { $2, $2, $0E, $A4, $80 }

volatile char VID_P[]           =   { $2, $2, $5A, $5B, $81 }
volatile char VID_M[]           =   { $2, $2, $4B, $57, $41 }
volatile char AUD_P[]           =   { $2, $2, $96, $0E, $81 }
volatile char AUD_M[]           =   { $2, $2, $87, $02, $41 }

// SURROUND MODES
volatile char SURND[]           =   { $2, $2, $16, $AE, $80 }
volatile char SURND_2[]         =   { $2, $2, $20, $B8, $00 }
volatile char SURND_1[]         =   { $2, $2, $21, $78, $C1 }
volatile char SURND_3[]         =   { $2, $2, $22, $79, $81 }
volatile char SURND_4[]         =   { $2, $2, $23, $B9, $40 }
volatile char SURND_5[]         =   { $2, $2, $24, $7B, $01 }
volatile char SURND_6[]         =   { $2, $2, $25, $BB, $C0 }

volatile char DEL[]             =   { $2, $2, $12, $6D, $81 }
volatile char MSG_PREFIX[1]     =   ''
volatile char MSG_SUFFIX[1]     =   ''
volatile char STAT[]            =   { $2, $2, $76, $86, $80 }
volatile char MAIN[]            =   { $2, $2, $08, $A6, $00 }

volatile char CENT[]            =   { $2, $2, $19, $AA, $C0 }
volatile char RR[]              =   { $2, $2, $09, $66, $C1 }
volatile char SB[]              =   { $2, $2, $11, $6C, $C1 }

volatile char BALNCE[]          =   { $2, $2, $10, $AC, $00 }

#end_if
//  STATE ARRAY ELEMENTS FOR RECEIVE
volatile char MAINAUDIOSOURCE   = 1
volatile char MAINVIDEOSOURCE   = 2
volatile char REMOTEAUDIOSOURCE = 3
volatile char REMOTEVIDEOSOURCE = 4
volatile char MAINVOLUME        = 5
volatile char REMOTEVOLUME      = 6
volatile char MAINMUTED         = 7
volatile char REMOTEMUTED       = 8
volatile char MAINUSERMUTED     = 9
volatile char REMOTEUSERMUTED   = 10
volatile char APPLICATION       = 11
volatile char STANDBY           = 12
volatile char THXON             = 13
volatile char SUBON             = 14
volatile char SURROUNDMODE      = 15
volatile char ANALOGLEVEL       = 16
volatile char REARSTATE         = 17
volatile char CENTERSTATE       = 18
volatile char SUBSTATE          = 19
volatile char BALANCESTATE      = 20

DEFINE_VARIABLE

volatile char    State_Arry[255]
volatile char    MessageQueue[255]
volatile char    ChanCommArry[255][5]
volatile integer MuteVar        = 0
volatile integer ChanVar        = 0
volatile integer AckPending     = 0
volatile float   Timeout        = 0
