PROGRAM_NAME='ProceedPreAmpDemo'
(*{{PS_SOURCE_INFO(PROGRAM STATS)                          *)
(***********************************************************)
(*  FILE CREATED ON: 12/28/2001 AT: 13:24:15               *)
(***********************************************************)
(*  FILE_LAST_MODIFIED_ON: 01/25/2002 AT: 17:50:28         *)
(***********************************************************)
(*  ORPHAN_FILE_PLATFORM: 1                                *)
(***********************************************************)
(*!!FILE REVISION: Rev 0                                   *)
(*  REVISION DATE: 12/28/2001                              *)
(*                                                         *)
(*  COMMENTS:                                              *)
(*                                                         *)
(***********************************************************)
(*}}PS_SOURCE_INFO                                         *)
(***********************************************************)

(***********************************************************)
(* System Type : Netlinx                                   *)
(***********************************************************)
(* REV HISTORY:                                            *)
(***********************************************************)

(***********************************************************)
(*          DEVICE NUMBER DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_DEVICE

Proceed  =  5001:5:1
vProceed =  33001:1:1
TP       =  128:1:1
DBG_PORT =  0


(***********************************************************)
(*               CONSTANT DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_CONSTANT

volatile integer PRO_POWER_TOGG      = 9
volatile integer PRO_ENTER           = 21
volatile integer PRO_VOLUME_UP       = 24
volatile integer PRO_VOLUME_DN       = 25
volatile integer PRO_MUTE            = 26
volatile integer PRO_POWER_ON        = 27
volatile integer PRO_POWER_OFF       = 28
volatile integer PRO_MENU            = 44
volatile integer PRO_MENU_UP         = 45
volatile integer PRO_MENU_DN         = 46
volatile integer PRO_EXIT            = 50
volatile integer PRO_AUDIOVIDEO_1    = 81
volatile integer PRO_AUDIOVIDEO_2    = 82
volatile integer PRO_AUDIOVIDEO_3    = 83
volatile integer PRO_AUDIOVIDEO_4    = 84
volatile integer PRO_AUDIOVIDEO_5    = 85
volatile integer PRO_AUDIOVIDEO_6    = 86
volatile integer PRO_AUDIOVIDEO_7    = 87
volatile integer PRO_AUDIOVIDEO_8    = 88
volatile integer PRO_AUDIOVIDEO_9    = 89

volatile integer PRO_SURROUND        = 101
volatile integer PRO_SURROUND_1      = 102
volatile integer PRO_SURROUND_2      = 103
volatile integer PRO_SURROUND_3      = 104
volatile integer PRO_SURROUND_4      = 105
volatile integer PRO_SURROUND_5      = 106
volatile integer PRO_SURROUND_6      = 107
volatile integer PRO_DELAY           = 109
volatile integer PRO_DELAYUP         = 110
volatile integer PRO_DELAYDN         = 111

volatile integer PRO_REARUP          = 141
volatile integer PRO_REARDN          = 142
volatile integer PRO_CENTERUP        = 143
volatile integer PRO_CENTERDN        = 144
volatile integer PRO_SUBUP           = 145
volatile integer PRO_SUBDN           = 146
volatile integer PRO_BALANCE_LT      = 147
volatile integer PRO_BALANCE_RT      = 148
volatile integer PRO_BALANCE         = 152
volatile integer PRO_CENTER          = 153
volatile integer PRO_REAR            = 154
volatile integer PRO_SUB             = 155

volatile integer PRO_SPECIAL         = 171
volatile integer PR0_VIDEO_PLUS      = 172
volatile integer PR0_VIDEO_MINUS     = 173
volatile integer PR0_AUDIO_PLUS      = 174
volatile integer PR0_AUDIO_MINUS     = 175

volatile integer PRO_BUTTON_ARRY[] = 
{  
PRO_POWER_TOGG,
PRO_ENTER,
PRO_VOLUME_UP, 
PRO_VOLUME_DN,
PRO_MUTE,
PRO_POWER_ON,
PRO_POWER_OFF,
PRO_MENU,
PRO_MENU_UP,
PRO_MENU_DN,
PRO_EXIT,
PRO_AUDIOVIDEO_6,
PRO_AUDIOVIDEO_7,
PRO_AUDIOVIDEO_8,
PRO_AUDIOVIDEO_9,
PRO_AUDIOVIDEO_1,
PRO_AUDIOVIDEO_2,
PRO_AUDIOVIDEO_3,
PRO_AUDIOVIDEO_4,
PRO_AUDIOVIDEO_5,
PRO_SURROUND ,
PRO_SURROUND_1,
PRO_SURROUND_2,
PRO_SURROUND_3,
PRO_SURROUND_4,
PRO_SURROUND_5,
PRO_SURROUND_6,
PRO_DELAY,
PRO_DELAYUP,
PRO_DELAYDN,
PRO_REARUP,
PRO_REARDN,
PRO_CENTERUP,
PRO_CENTERDN,
PRO_SUBUP,
PRO_SUBDN,
PRO_BALANCE_LT,
PRO_BALANCE_RT,
PRO_BALANCE,
PRO_CENTER,
PRO_REAR,
PRO_SUB,
PRO_SPECIAL,
PR0_VIDEO_PLUS,
PR0_VIDEO_MINUS,
PR0_AUDIO_PLUS,
PR0_AUDIO_MINUS   
}

(***********************************************************)
(*              DATA TYPE DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_TYPE

(***********************************************************)
(*               VARIABLE DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_VARIABLE

volatile integer USE_DEBUG      = 0
volatile integer ProPollPeriod  = 50
(***********************************************************)
(*               LATCHING DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_LATCHING

(***********************************************************)
(*       MUTUALLY EXCLUSIVE DEFINITIONS GO BELOW           *)
(***********************************************************)
DEFINE_MUTUALLY_EXCLUSIVE


//
// Function : debug()
// Purpose  : Provide debug feedback through telnet
// Params   : char msg[]
// Return   : integer
// Notes    : 
//

define_function integer debug(char msg[])
{
    send_string DBG_PORT, "'From ',__file__,' ', msg, $d, $a"   
}
//
// Function : LogHex()
// Purpose  : Provide hex dump of buffer to view unprintable characters
// Params   : char prefix[], char buff[]
// Return   : none
// Notes    : none 
//
define_function LogHex(char prefix[], char buff[])
{
    stack_var char     logBuff[200]
    stack_var integer  i


    logBuff = prefix
    for (i = 1; i <= length_string(buff); i++)
    {
        logBuff = "logBuff, format('%02x', buff[i]), ' '"
    }
    send_string DBG_PORT, "logBuff, $d, $a"
}
(***********************************************************)
(*        SUBROUTINE/FUNCTION DEFINITIONS GO BELOW         *)
(***********************************************************)


(***********************************************************)
(*                STARTUP CODE GOES BELOW                  *)
(***********************************************************)
DEFINE_START


(***********************************************************)
(*                THE EVENTS GOES BELOW                    *)
(***********************************************************)
DEFINE_EVENT
// from touch panel
data_event[TP]
{
    string:
    {                     
        select
        {
            active(find_string(data.text, 'COMMAND-', 1)):
            {
                remove_string(data.text, 'COMMAND-', 1)
                send_command vProceed, "data.text"
            }            
        }              
    }    
}
button_event[TP, PRO_BUTTON_ARRY]
{
    push:
    {    
        integer btn_var
        
        btn_var = button.input.channel                
        
        {
            on[vProceed, btn_var]
        }
    }
    release:    
    {    
        integer btn_var
        
        btn_var = button.input.channel
        
        {
            off[vProceed, btn_var]
        }
    }       
        
}
channel_event[vProceed, 27]
channel_event[vProceed, 28]
{
    on:
    {      
        if (channel.channel == 27)
        {
            [TP, 1] = 1
            send_command TP, "'!T', 11, 'PowerOn'"          
        }
        else
        {
            [TP, 1] = 0
            send_command TP, "'!T', 11, 'Standby'"
        }        
    }    
}
//  audio modes
channel_event[vProceed, 60]
channel_event[vProceed, 61]
channel_event[vProceed, 62]
channel_event[vProceed, 63]
channel_event[vProceed, 64]
channel_event[vProceed, 65]
channel_event[vProceed, 66]
channel_event[vProceed, 67]
channel_event[vProceed, 68]
{
    on:
    {
        send_command TP, "'!T', 1, itoa(channel.channel - 59)"
        
        send_command TP, "'!T', 17, 'AUDIO ', itoa(channel.channel - 59)"                
    }
}
//  a/v modes
channel_event[vProceed, 81]
channel_event[vProceed, 82]
channel_event[vProceed, 83]
channel_event[vProceed, 84]
channel_event[vProceed, 85]
channel_event[vProceed, 86]
channel_event[vProceed, 87]
channel_event[vProceed, 88]
channel_event[vProceed, 89]
{
    on:
    {
        send_command TP, "'!T', 2, itoa(channel.channel - 80)"
        
        send_command TP, "'!T', 18, 'VIDEO ', itoa(channel.channel - 80)"       
    }
}
channel_event[vProceed, 102]
channel_event[vProceed, 103]
channel_event[vProceed, 104]
channel_event[vProceed, 105]
channel_event[vProceed, 106]
channel_event[vProceed, 107]
{
    on:
    {                       
        send_command TP, "'!T', 4, 'MODE', itoa(channel.channel - 101)"                
    }
}
level_event[vProceed, 1]
{
    char LE_locVar
    
    LE_locVar = level.value         
        
    if (level.value < $FF)
    {
        send_level TP, 1, ((255*level.value)/100)
        
        send_command TP, "'!T', 16, itoa(level.value)"          
    }
}
data_event[vProceed]
{
    string:
    {
        if (find_string(data.text, 'DISPLAY-', 1))
        {
            remove_string(data.text,'DISPLAY-', 1 )
            
            send_command TP, "'!T', 23, data.text"                        
        }
        if (find_string(data.text, '=', 1))
        {
            send_command TP, "'!T', 6, data.text"
            
            if(USE_DEBUG)
                debug("itoa( __line__  + 1) , ' ', data.text")
        }
    }       
}

(***********************************************************)
(*            THE ACTUAL PROGRAM GOES BELOW                *)
(***********************************************************)
DEFINE_PROGRAM

(***********************************************************)
(*                     END OF PROGRAM                      *)
(*        DO NOT PUT ANY CODE BELOW THIS COMMENT           *)
(***********************************************************)

DEFINE_MODULE 'AMX_Proceed' myPro(Proceed, vProceed, ProPollPeriod)